summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorpommicket <pommicket@gmail.com>2022-01-07 14:31:52 -0500
committerpommicket <pommicket@gmail.com>2022-01-07 14:31:52 -0500
commite52793324a9f693ec8b5d218d99b7d2577f3f614 (patch)
treef514a93ccd2c9552d19fa858626232141420122f /bootstrap.sh
parentfbe3f4e701adcf5ef8707d5b56ec3b179b942e71 (diff)
finished preprocessor
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 161fa41..2597065 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -78,5 +78,15 @@ if [ "$(./out04)" != 'Hello, world!' ]; then
fi
cd ..
+echo 'Processing stage 04a...'
+cd 04a
+rm -f out*
+make -s out04a
+if [ "$(sed '/^#/d;/^$/d' out04a)" != 'Hello, world!' ]; then
+ echo_red 'Stage 04a failed.'
+ exit 1
+fi
+cd ..
+
echo_green 'all stages completed successfully!'